<ngx-loading [show]="loading" [config]="{primaryColour: primaryColour, secondaryColour: secondaryColour, tertiaryColour: primaryColour, backdropBorderRadius: '3px', fullScreenBackdrop: true}" [template]="loadingTemplate"></ngx-loading>
<ng2-toasty [position]="position"></ng2-toasty>

<div class="row">
    <div class="col-md-12 col-xl-12">
        <div class="page-header-breadcrumb" style="float: left">
            <ul class="breadcrumb-title">
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'dashboard']"><i class="icofont icofont-home"></i></a> 
                </li> 
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'program']">Kegiatan</a> 
                </li>   
                <li class="breadcrumb-item">
                    <a [routerLink]="['#']" class="not-active">Tambah</a> 
                </li>  
            </ul>
        </div>
    </div>
</div> 
<div class="row">
    <!-- counter-card-1 start-->
    <div class="col-md-12 col-xl-12">

        <br> 
        <div class="card card-border-primary">
            <div class="card-header">
                <h5>Tambah Kegiatan </h5>
            </div>
            <div class="card-block">

                <form class="md-float-material" [formGroup]="myForm" (ngSubmit)="onSubmit()" (keydown.enter)="$event.preventDefault()">

                <div class="row" style="/*border-bottom: 1px solid rgba(0,0,0,.125); padding-bottom: 10px;*/">
                    <div class="col-sm-2 col-xl-2">  
                        <!-- <button class="btn btn-inverse btn-sm btn-icon" type="button" (click)="showBack()" placement="top" ngbTooltip="Kembali"><i class="icofont icofont-rounded-left" style="font-size: xx-large;"></i></button> -->
                    </div>
                    <div class="col-sm-8 col-xl-8">  
                    </div>
                    <div class="col-sm-2 col-xl-2">
                    </div>
                </div> 

                <div class="row">
                    <div class="col-sm-12 col-xl-12">
                        <h4 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Kegiatan</b></h4>
                    </div>
                    <div class="col-sm-6 col-xl-6">
                        <label class="col-form-label">Nama Kegiatan (Singkatan)</label>
                        <input class="form-control" type="text" placeholder="Nama Singkatan Kegiatan" formControlName="nama"/>
                        <span class="messages text-danger" *ngIf="!myForm.get('nama').valid && myForm.get('nama')">* Harus diisi</span>
                        <span class="md-line"></span> 
                        <br>
                        
                        <label class="col-form-label">Nama Kegiatan (Kepanjangan)</label>
                        <input class="form-control" type="text" placeholder="Nama Kepanjangan Kegiatan" formControlName="nama_lain"/>
                        <span class="messages text-danger" *ngIf="!myForm.get('nama_lain').valid && myForm.get('nama_lain')">* Harus diisi</span>
                        <span class="md-line"></span> 
                        <br>

                        <label class="col-form-label">OPD</label> 
                        <select class="form-control" placeholder="OPD" formControlName="dinas" [ngClass]="{'readonly': isreadonly===true}">
                            <option value="">-- Pilih OPD --</option>
                            <option *ngFor="let dinas of dataDinas" value={{dinas.id}}>
                                {{dinas.nama}}
                            </option>
                        </select>
                        <span class="messages text-danger" *ngIf="!myForm.get('dinas').valid && myForm.get('dinas')">* Pilih salah satu</span>
                        <span class="md-line"></span> 
                    </div>

                    <div class="col-sm-6 col-xl-6">
                        <label class="col-form-label">Logo</label> 
                        <div style="text-align: center; padding-bottom: 5px;">
                            <img class="img-200 text-center" [src]="logoPath!= '' ? logoPath : logoNull" style="max-height: 140px; width: auto; "/>
                        </div>
                        <input class="form-control" type="file" (change)="onUpload($event)" placeholder="Upload file..." accept=".png,.jpg,.jpeg"/>
                        <input class="form-control" type="text" placeholder="Logo" formControlName="logo" style="display: none;"/>
                        <span class="messages text-danger" *ngIf="!myForm.get('logo').valid && myForm.get('logo')">* Harus diisi</span>
                        <span class="md-line"></span> 
                    </div>
                    <div class="col-sm-12 col-xl-12">
                        <label class="col-form-label">Deskripsi</label> 
                        <textarea class="form-control" type="text" rows="5" placeholder="Deskripsi" formControlName="deskripsi" style="height: 100px;"></textarea>
                        <span class="messages text-danger" *ngIf="!myForm.get('deskripsi').valid && myForm.get('deskripsi')">* Harus diisi</span>
                        <span class="md-line"></span> 
                    </div>
                </div>

                <br/>

                <div class="row">
                    <div class="col-sm-12 col-xl-12">
                        <h4 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Aktor</b></h4>
                    </div>
 
                    <div class="col-sm-6 col-xl-6" style="margin-bottom: 10px;"> 
                        <label class="col-form-label">PIC ASN</label>  
                        <ng-container formArrayName="pic_asn" *ngFor="let row of myForm.get('pic_asn').controls; let i = index;"> 
                            <ng-container [formGroupName]="i">
                            <div class="form-group" style="display: flex; margin-bottom: 0em;">
                                <input class="form-control" type="text" placeholder="PIC ASN {{i+1}}" formControlName="value" style="margin-top: 5px;"/>
                                <!-- <i class="icofont icofont-error" (click)="removeFieldValuePICASN(i)" style="margin:5px; margin-top:16px; color:red"></i> -->
                            </div>
                            <div>
                                <span class="messages text-danger" *ngIf="!row.get('value').valid && row.get('value')">* Harus diisi</span>
                                <span class="md-line"></span> 
                            </div> 
                            </ng-container>
                        </ng-container> 
                        <!-- <a href="" (click)="addFieldValuePICASN()"> + Tambah</a> -->
                    </div>  

                    <div class="col-sm-6 col-xl-6" style="margin-bottom: 10px;"> 
                        <label class="col-form-label">TAJJ</label>  
                        <ng-container formArrayName="tajj" *ngFor="let row of myForm.get('tajj').controls; let i = index;"> 
                            <ng-container [formGroupName]="i">
                            <div class="form-group" style="display: flex; margin-bottom: 0em;">
                            <input class="form-control" type="text" placeholder="TAJJ {{i+1}}" formControlName="value" style="margin-top: 5px;"/>
                            <i class="icofont icofont-error" (click)="removeFieldValueTAJJ(i)" style="margin:5px; margin-top:16px; color:red"></i>
                            </div>
                            </ng-container>
                        </ng-container> 
                        <a href="" (click)="addFieldValueTAJJ()"> + Tambah</a>
                    </div>  
 
                    <div class="col-sm-6 col-xl-6" style="margin-bottom: 10px;"> 
                        <label class="col-form-label">PIC NON ASN</label>  
                        <ng-container formArrayName="pic_non_asn" *ngFor="let row of myForm.get('pic_non_asn').controls; let i = index;"> 
                            <ng-container [formGroupName]="i">
                            <div class="form-group" style="display: flex; margin-bottom: 0em;">
                            <input class="form-control" type="text" placeholder="PIC NON ASN {{i+1}}" formControlName="value" style="margin-top: 5px;"/>
                            <i class="icofont icofont-error" (click)="removeFieldValuePICNONASN(i)" style="margin:5px; margin-top:16px; color:red"></i>
                            </div>
                            </ng-container>
                        </ng-container> 
                        <a href="" (click)="addFieldValuePICNONASN()"> + Tambah</a>
                    </div>  
                    
                    <div class="col-sm-6 col-xl-6" style="margin-bottom: 10px;"> 
                        <label class="col-form-label">FASILITATOR</label>  
                        <ng-container formArrayName="fasilitator" *ngFor="let row of myForm.get('fasilitator').controls; let i = index;"> 
                            <ng-container [formGroupName]="i">
                            <div class="form-group" style="display: flex; margin-bottom: 0em;">
                            <input class="form-control" type="text" placeholder="FASILITATOR {{i+1}}" formControlName="value" style="margin-top: 5px;"/>
                            <i class="icofont icofont-error" (click)="removeFieldValueFasilitator(i)" style="margin:5px; margin-top:16px; color:red"></i>
                            </div>
                            </ng-container>
                        </ng-container> 
                        <a href="" (click)="addFieldValueFasilitator()"> + Tambah</a>
                    </div>  

                    <div class="col-sm-12 col-xl-12" style="margin-bottom: 10px;"> 
                        <label class="col-form-label">MITRA KOLABORASI</label>  
                        <ng-container formArrayName="mitra" *ngFor="let row of myForm.get('mitra').controls; let i = index;"> 
                            <ng-container [formGroupName]="i">
                            <div class="form-group" style="display: flex; margin-bottom: 0em;">
                            <input class="form-control" type="text" placeholder="MITRA KOLABORASI {{i+1}}" formControlName="value" style="margin-top: 5px;"/>
                            <i class="icofont icofont-error" (click)="removeFieldValueMitra(i)" style="margin:5px; margin-top:16px; color:red"></i>
                            </div>
                            </ng-container>
                        </ng-container> 
                        <a href="" (click)="addFieldValueMitra()"> + Tambah</a>
                    </div>  
 
                </div>
                <br/>
                 
                <div class="row">
                    <div class="col-sm-12 col-xl-12">
                        <h4 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Problem Statement</b></h4>
                    </div>

                    <div class="col-sm-12 col-xl-12">
                      
                        <ng-container formArrayName="problem" *ngFor="let row of myForm.get('problem').controls; let i = index;"> 
                            <ng-container [formGroupName]="i">
                            <div class="form-group row">
                                <label class="col-sm-2 col-form-label">Problem {{i+1}}</label>
                                <div class="col-sm-10" style="display: flex; margin-bottom: 0em;">
                                    <textarea class="form-control" type="text" rows="5" placeholder="Problem Statement {{i+1}}" formControlName="value" style="height: 100px;"></textarea>
                                    <i class="icofont icofont-error" (click)="removeFieldValueProblem(i)" style="margin:5px; margin-top:40px; color:red"></i>
                                </div>
                                <div class="col-sm-2"></div>
                                <div class="col-sm-10">
                                    <span class="messages text-danger" *ngIf="!row.get('value').valid && row.get('value')">* Harus diisi</span>
                                    <span class="md-line"></span> 
                                </div> 
                            </div>
                            </ng-container>
                        </ng-container> 
                        
                        <div class="form-group row">
                            <label class="col-sm-2 col-form-label"></label>
                            <div class="col-sm-10 text-left">
                                <a href="" (click)="addFieldValueProblem()"> + Tambah Problem</a>
                            </div>
                        </div> 
                    </div>
                </div>
                <br/>

                <div class="row">
                    <div class="col-sm-12 col-xl-12">
                        <h4 class="sub-title" style="margin-bottom: 10px; margin-top:10px;"><b>Ultimate Goal</b></h4>
                    </div>
                        
                    <div class="col-sm-12 col-xl-12">

                        <ng-container formArrayName="goal" *ngFor="let row of myForm.get('goal').controls; let i = index;"> 
                            <ng-container [formGroupName]="i">
                            <div class="form-group row">
                                <label class="col-sm-2 col-form-label">Goal {{i+1}}</label>
                                <div class="col-sm-10" style="display: flex;  margin-bottom: 0em;">
                                    <textarea class="form-control" type="text" rows="5" placeholder="Goal {{i+1}}" formControlName="value" style="height: 100px;"></textarea>
                                    <i class="icofont icofont-error" (click)="removeFieldValueGoal(i)" style="margin:5px; margin-top:40px; color:red"></i>
                                </div>
                                <div class="col-sm-2"></div>
                                <div class="col-sm-10">
                                    <span class="messages text-danger" *ngIf="!row.get('value').valid && row.get('value')">* Harus diisi</span>
                                    <span class="md-line"></span> 
                                </div> 
                            </div>
                            </ng-container>
                        </ng-container> 
                        
                        <div class="form-group row">
                            <label class="col-sm-2 col-form-label"></label>
                            <div class="col-sm-10 text-left">
                                <a href="" (click)="addFieldValueGoal()"> + Tambah Goal</a>
                            </div>
                        </div> 
                    </div>
                </div>
                <br/>

                <div class="row">
                    <div class="col-sm-12 col-xl-12">
                        <h4 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Dampak Kegiatan</b></h4>
                    </div>
                        
                    <div class="col-sm-12 col-xl-12">
                        <div class="form-group row">
                            <label class="col-sm-2 col-form-label">Output</label>
                            <!-- <div class="col-sm-10">
                                <textarea class="form-control" type="text" rows="5" placeholder="JangkaOutput Pendek" formControlName="dampak_pendek" style="height: 100px;"></textarea>
                                <span class="messages text-danger" *ngIf="!myForm.get('dampak_pendek').valid && myForm.get('dampak_pendek')">* Harus diisi</span>
                                <span class="md-line"></span> 
                            </div> -->

                            <div class="col-sm-10">
                                <ng-container formArrayName="dampak_pendek" *ngFor="let row of myForm.get('dampak_pendek').controls; let i = index;"> 
                                    <ng-container [formGroupName]="i"> 
                                        <div style="display: flex;  margin-bottom: 5px;">
                                            <textarea class="form-control" type="text" rows="5" placeholder="Dampak Pendek {{i+1}}" formControlName="value" style="height: 100px;"></textarea>
                                            <i class="icofont icofont-error" (click)="removeFieldValueDampakPendek(i)" style="margin:5px; margin-top:40px; color:red"></i>
                                        </div>
                                        <span class="messages text-danger" *ngIf="!row.get('value').valid && row.get('value')">* Harus diisi</span>
                                        <span class="md-line"></span>   
                                    </ng-container>
                                </ng-container> 
                                <div class="col-sm-2"></div>
                                <div class="col-sm-10" style="margin-left: -15px; margin-top: 15px; margin-bottom: 15px;">
                                    <a href="" (click)="addFieldValueDampakPendek()"> + Tambah Dampak Pendek</a>
                                </div>
                            </div> 
                            
                        </div>
                        <div class="form-group row">
                            <label class="col-sm-2 col-form-label">Outcome</label>
                            <!-- <div class="col-sm-10">
                                <textarea class="form-control" type="text" rows="5" placeholder="Outcome" formControlName="dampak_menengah" style="height: 100px;"></textarea>
                                <span class="messages text-danger" *ngIf="!myForm.get('dampak_menengah').valid && myForm.get('dampak_menengah')">* Harus diisi</span>
                                <span class="md-line"></span> 
                                <div class="form-group row" style="margin-top:5px">
                                    <label class="col-sm-2 col-form-label">IKU</label>
                                    <div class="col-sm-10">
                                        <select class="form-control" placeholder="OPD" formControlName="iku">
                                            <option value="0">-- Pilih Indikator Kinerja Utama --</option>
                                            <option *ngFor="let iku of dataIKU" value={{iku.id}}>
                                                {{iku.nama}}
                                            </option>
                                        </select>
                                    </div>
                                </div>
                            </div> -->
                            <div class="col-sm-10">
                                <ng-container formArrayName="dampak_menengah" *ngFor="let row of myForm.get('dampak_menengah').controls; let i = index;"> 
                                    <ng-container [formGroupName]="i"> 
                                        <div style="display: flex;  margin-bottom: 5px;">
                                            <textarea class="form-control" type="text" rows="5" placeholder="Dampak Menengah {{i+1}}" formControlName="value" style="height: 100px;"></textarea>
                                            <i class="icofont icofont-error" (click)="removeFieldValueDampakMenengah(i)" style="margin:5px; margin-top:40px; color:red"></i>
                                        </div>
                                        <span class="messages text-danger" *ngIf="!row.get('value').valid && row.get('value')">* Harus diisi</span>
                                        <span class="md-line"></span>   
                                    </ng-container>
                                </ng-container> 
                                <div class="col-sm-2"></div>
                                <div class="col-sm-10" style="margin-left: -15px; margin-top: 15px; margin-bottom: 15px;">
                                    <a href="" (click)="addFieldValueDampakMenengah()"> + Tambah Dampak Menengah</a>
                                </div> 
                                <div class="col-sm-2"></div>
                                <div class="col-sm-12">
                                    <div class="form-group row" style="margin-top:5px">
                                        <label class="col-sm-2 col-form-label">IKU</label>
                                        <!-- <div class="col-sm-10">
                                            <select class="form-control" placeholder="OPD" formControlName="iku">
                                                <option value="0">-- Pilih Indikator Kinerja Utama --</option>
                                                <option *ngFor="let iku of dataIKU" value={{iku.id}}>
                                                    {{iku.nama}}
                                                </option>
                                            </select>
                                        </div> -->
                                        <div class="col-sm-10" >
                                            <ng-container formArrayName="iku" *ngFor="let row of myForm.get('iku').controls; let i = index;"> 
                                                <ng-container [formGroupName]="i"> 
                                                    <div style="display: flex;  margin-bottom: 5px;"> 
                                                        <select class="form-control" placeholder="Pilih Indikator Kinerja Utama" formControlName="value">
                                                            <option value="">-- Pilih Indikator Kinerja Utama --</option>
                                                            <option *ngFor="let iku of dataIKU" value={{iku.id}}>
                                                                {{iku.nama}}
                                                            </option>
                                                        </select>
                                                        <i class="icofont icofont-error" (click)="removeFieldValueIKU(i)" style="margin:5px; margin-top:15px; color:red"></i>
                                                    </div>
                                                    <span class="messages text-danger" *ngIf="!row.get('value').valid && row.get('value')">* Harus diisi</span>
                                                    <span class="md-line"></span>   
                                                </ng-container>
                                            </ng-container> 
                                            <div class="col-sm-2"></div>
                                            <div class="col-sm-10" style="margin-left: -15px; margin-top: 15px; margin-bottom: 15px;">
                                                <a href="" (click)="addFieldValueIKU()"> + Tambah IKU</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div> 
                        </div>
                        <div class="form-group row">
                            <label class="col-sm-2 col-form-label">Impact</label>
                            <!-- <div class="col-sm-10">
                                <textarea class="form-control" type="text" rows="5" placeholder="Impact" formControlName="dampak_panjang" style="height: 100px;"></textarea>
                                <span class="messages text-danger" *ngIf="!myForm.get('dampak_panjang').valid && myForm.get('dampak_panjang')">* Harus diisi</span>
                                <span class="md-line"></span> 
                            </div> -->
                            
                            <div class="col-sm-10">
                                <ng-container formArrayName="dampak_panjang" *ngFor="let row of myForm.get('dampak_panjang').controls; let i = index;"> 
                                    <ng-container [formGroupName]="i"> 
                                        <div style="display: flex;  margin-bottom: 5px;">
                                            <textarea class="form-control" type="text" rows="5" placeholder="Dampak Panjang {{i+1}}" formControlName="value" style="height: 100px;"></textarea>
                                            <i class="icofont icofont-error" (click)="removeFieldValueDampakPanjang(i)" style="margin:5px; margin-top:40px; color:red"></i>
                                        </div>
                                        <span class="messages text-danger" *ngIf="!row.get('value').valid && row.get('value')">* Harus diisi</span>
                                        <span class="md-line"></span>   
                                    </ng-container>
                                </ng-container> 
                                <div class="col-sm-2"></div>
                                <div class="col-sm-10" style="margin-left: -15px; margin-top: 15px; margin-bottom: 15px;">
                                    <a href="" (click)="addFieldValueDampakPanjang()"> + Tambah Dampak Panjang</a>
                                </div>
                            </div> 
                        </div>
                    </div>
                </div>
                <br/>

                <div class="row">
                    <div class="col-sm-12 col-xl-12">
                        <h4 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Sosial Media</b></h4>
                    </div>

                    <div class="col-sm-12 col-xl-12">
                        <div class="form-group row">
                            <label class="col-sm-2 col-form-label">Facebook</label>
                            <div class="col-sm-10">
                                <input class="form-control" type="text" placeholder="Facebook" formControlName="url_facebook"/>
                                <span class="messages text-danger" *ngIf="!myForm.get('url_facebook').valid && myForm.get('url_facebook')">* Harus diisi</span>
                                <span class="md-line"></span> 
                            </div>
                        </div>
                    </div> 

                    <div class="col-sm-12 col-xl-12">
                        <div class="form-group row">
                            <label class="col-sm-2 col-form-label">Instagram</label>
                            <div class="col-sm-10">
                                <input class="form-control" type="text" placeholder="Instagram" formControlName="url_instagram"/>
                                <span class="messages text-danger" *ngIf="!myForm.get('url_instagram').valid && myForm.get('url_instagram')">* Harus diisi</span>
                                <span class="md-line"></span> 
                            </div>
                        </div>
                    </div>
                    
                    
                    <div class="col-sm-12 col-xl-12">
                        <div class="form-group row">
                            <label class="col-sm-2 col-form-label">Twitter</label>
                            <div class="col-sm-10">
                                <input class="form-control" type="text" placeholder="Twitter" formControlName="url_twitter"/>
                                <span class="messages text-danger" *ngIf="!myForm.get('url_twitter').valid && myForm.get('url_twitter')">* Harus diisi</span>
                                <span class="md-line"></span> 
                            </div>
                        </div>
                    </div>
                    
                    <div class="col-sm-12 col-xl-12">
                        <div class="form-group row">
                            <label class="col-sm-2 col-form-label">Youtube</label>
                            <div class="col-sm-10">
                                <input class="form-control" type="text" placeholder="Youtube" formControlName="url_youtube"/>
                                <span class="messages text-danger" *ngIf="!myForm.get('url_youtube').valid && myForm.get('url_youtube')">* Harus diisi</span>
                                <span class="md-line"></span> 
                            </div>
                        </div>
                    </div>
                </div>
                <br>

                <div class="row">
                    <div class="col-sm-6 col-xl-6">
                    </div>
                    <div class="col-sm-3 col-xl-3">
                        <button class="btn btn-danger btn-md btn-block" type="button" (click)="showBack()" ><i class="icofont icofont-error"></i>Batal</button>
                    </div>
                    <div class="col-sm-3 col-xl-3">
                        <button class="btn btn-success btn-md btn-block" type="submit"  [disabled]="!myForm.valid" ><i class="icofont icofont-diskette"></i>Simpan</button>
                    </div>
                </div>

                </form>
            </div>
                        
        </div>
    </div>
    <!-- counter-card-1 end-->
</div>
